const jwt = require('jsonwebtoken');
if (!process.env.SECRET_JWT) {
  throw new Error('A variável JWT_SECRET não foi definida no .env');
}

const SECRET = process.env.SECRET_JWT;

const auth = {
  verifyToken: (req, res, next) => {
    const token = req.cookies.token;
    if (!token) return res.status(401).json({ error: 'Token não fornecido' });

    jwt.verify(token, SECRET, (err, decoded) => {
      if (err) return res.status(401).json({ error: 'Token inválido' });
      req.user = decoded;
      next();
    });
  }
};

module.exports = auth;
